OGRE: Ogre::Singleton< T > Class Template Reference - OGRE Documentation

# Ogre::Singleton< T > Class Template Reference

Template class for creating single-instance global classes. More...

`#include <OgreSingleton.h>`

Inheritance diagram for Ogre::Singleton< T >:

[legend]

List of all members.

## Public Member Functions
| Singleton (void)
| ~Singleton (void)
## Static Public Member Functions
static T & | getSingleton (void)
static T * | getSingletonPtr (void)
## Static Protected Attributes
static T * | ms_Singleton

## Detailed Description

### template<typename T>
class Ogre::Singleton< T >

Template class for creating single-instance global classes.

Definition at line 57 of file OgreSingleton.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::Singleton< T >::Singleton | ( | void |  | ) |

Definition at line 64 of file OgreSingleton.h.

template<typename T>

Ogre::Singleton< T >::~Singleton | ( | void |  | ) |

Definition at line 74 of file OgreSingleton.h.

## Member Function Documentation

template<typename T>

static T& Ogre::Singleton< T >::getSingleton | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::CompositorManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::Profiler, Ogre::RenderSystemCapabilitiesManager, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::ScriptCompilerManager, Ogre::ShadowTextureManager, Ogre::SkeletonManager, and Ogre::TextureManager.

Definition at line 76 of file OgreSingleton.h.

template<typename T>

static T* Ogre::Singleton< T >::getSingletonPtr | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::CompositorManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::Profiler, Ogre::RenderSystemCapabilitiesManager, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::ScriptCompilerManager, Ogre::ShadowTextureManager, Ogre::SkeletonManager, and Ogre::TextureManager.

Definition at line 78 of file OgreSingleton.h.

## Member Data Documentation

template<typename T>

T* Ogre::Singleton< T >::ms_Singleton`[static, protected]`

Definition at line 61 of file OgreSingleton.h.

Referenced by Ogre::Singleton< Ogre::FontManager >::getSingleton(), Ogre::Singleton< Ogre::FontManager >::getSingletonPtr(), Ogre::Singleton< Ogre::FontManager >::Singleton(), and Ogre::Singleton< Ogre::FontManager >::~Singleton().

The documentation for this class was generated from the following file:

- OgreSingleton.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:37:06 2009